---
title: "Get all store taxonomy collection nodes"
description: "Get the complete list of taxonomy collection nodes for a store."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/taxonomy-collection/get-all-store-taxonomy-collection-nodes'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/taxonomy-collection/get-all-store-taxonomy-collection-nodes.md'
---
# Get all store taxonomy collection nodes

Get the complete list of taxonomy collection nodes for a store.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /taxonomies.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `taxonomies`

  array<object>

  A list of taxonomy collection nodes.

  * `collection_id`

    string

    The unique identifier for the collection.

  * `id`

    string

    The unique identifier for the taxonomy collection node.

  * `parent_id`

    string

    The unique identifier for the parent node.

  * `children`

    array<map>

    Child nodes (next-level nodes).


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get all store taxonomy collection nodes"
  ],
  "description": "Get the complete list of taxonomy collection nodes for a store.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| BUSINESS_ERROR | 501 | A general business failure occurred. |\n| INVALID_PARAMETER | 400 | The provided parameter is invalid. |\n"
  },
  "operationId": "Req2GcIy",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "taxonomies": {
                "name": "taxonomies",
                "description": "A list of taxonomy collection nodes.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "collection_id": {
                      "name": "collection_id",
                      "description": "The unique identifier for the collection.",
                      "type": "string",
                      "example": "12257170618007271602093384"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the taxonomy collection node.",
                      "type": "string",
                      "example": "7004220176356349981"
                    },
                    "parent_id": {
                      "name": "parent_id",
                      "description": "The unique identifier for the parent node.",
                      "type": "string",
                      "example": "7004220176355548881"
                    },
                    "children": {
                      "name": "children",
                      "description": "Child nodes (next-level nodes).",
                      "type": "array",
                      "items": {
                        "type": "map"
                      }
                    }
                  },
                  "example": {
                    "children": null,
                    "collection_id": "12257170618007271602093384",
                    "id": "7004220176356349981",
                    "parent_id": "7004220176355548881"
                  }
                },
                "example": [
                  {
                    "children": null,
                    "collection_id": "12257170618007271602093384",
                    "id": "7004220176356349981",
                    "parent_id": "7004220176355548881"
                  }
                ]
              }
            },
            "example": {
              "taxonomies": [
                {
                  "children": null,
                  "collection_id": "12257170618007271602093384",
                  "id": "7004220176356349981",
                  "parent_id": "7004220176355548881"
                }
              ]
            }
          },
          "examples": {
            "Get all store taxonomy collection nodes": {
              "description": "Query store taxonomy collection node information",
              "value": {
                "taxonomies": [
                  {
                    "children": [
                      {
                        "parentId": "6997483476011718673",
                        "children": [
                          {
                            "id": "6997498456723429410",
                            "parentId": "6997483859874420760",
                            "children": [],
                            "collectionId": "12249026592161154694000282"
                          },
                          {
                            "children": [
                              {
                                "children": [
                                  {
                                    "children": [
                                      {
                                        "children": [],
                                        "collectionId": "12264578587222831342061690",
                                        "id": "6997496949928106015",
                                        "parentId": "6997496949928106014"
                                      },
                                      {
                                        "children": [],
                                        "collectionId": "12267068008085234731731690",
                                        "id": "6997496949928106016",
                                        "parentId": "6997496949928106014"
                                      }
                                    ],
                                    "collectionId": "12249521251322718219170282",
                                    "id": "6997496949928106014",
                                    "parentId": "6997498858017658916"
                                  }
                                ],
                                "collectionId": "12250548741701040660740282",
                                "id": "6997498858017658916",
                                "parentId": "6997498456723429411"
                              }
                            ],
                            "collectionId": "12249544854208287027410282",
                            "id": "6997498456723429411",
                            "parentId": "6997483859874420760"
                          }
                        ],
                        "collectionId": "12248721639068681442230282",
                        "id": "6997483859874420760"
                      },
                      {
                        "children": [],
                        "collectionId": "12265421699752389574051690",
                        "id": "6997483859874420764",
                        "parentId": "6997483476011718673"
                      },
                      {
                        "id": "6997483859874420765",
                        "parentId": "6997483476011718673",
                        "children": [],
                        "collectionId": "12267908620070404822911690"
                      }
                    ],
                    "collection_id": "12264293718030103508231690",
                    "id": "6997483476011718673",
                    "parent_id": null
                  },
                  {
                    "children": [
                      {
                        "children": [],
                        "collectionId": "12267695199458002270651690",
                        "id": "6997496949928106017",
                        "parentId": "6997483476011718674"
                      }
                    ],
                    "collection_id": "12264298869952930281631690",
                    "id": "6997483476011718674",
                    "parent_id": null
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/taxonomies.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get all store taxonomy collection nodes",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```